Index: trunk/gli/src/org/greenstone/gatherer/gui/Preferences.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/Preferences.java	(revision 10691)
+++ trunk/gli/src/org/greenstone/gatherer/gui/Preferences.java	(revision 10726)
@@ -86,4 +86,5 @@
     private JTextArea mode_description_textarea;
     private JTextField font_field;
+    private JTextField gliserver_url_field;
     private JTextField library_path_field;
     private JTextField program_field;
@@ -197,5 +198,21 @@
 	    Dictionary.registerTooltip(library_path_field, "Preferences.Connection.Library_Path_Tooltip");
 	}
-	
+
+	JPanel gliserver_url_pane = null;
+	JLabel gliserver_url_label = null;
+	if (Gatherer.isGsdlRemote) {
+	    gliserver_url_pane = new JPanel();
+	    gliserver_url_pane.setPreferredSize(ROW_SIZE);
+	    gliserver_url_label = new JLabel();
+	    gliserver_url_label.setPreferredSize(LABEL_SIZE);
+	    String gliserver_url_string = "";
+	    if (Configuration.gliserver_url != null) {
+		gliserver_url_string = Configuration.gliserver_url.toString();
+	    }
+	    gliserver_url_field = new JTextField(gliserver_url_string);
+	    gliserver_url_field.setCaretPosition(0);
+	    Dictionary.registerText(gliserver_url_label, "Preferences.Connection.GLIServer_URL");
+	    Dictionary.registerTooltip(gliserver_url_field, "Preferences.Connection.GLIServer_URL_Tooltip");
+	}
 
 	JPanel site_pane = null;
@@ -291,4 +308,5 @@
 	    site_combobox.addActionListener(new SiteComboboxListener());
 	}
+
 	// Layout
 	program_pane.setLayout(new BorderLayout());
@@ -300,4 +318,10 @@
 	library_path_pane.add(library_path_field, BorderLayout.CENTER);
 
+	if (Gatherer.isGsdlRemote) {
+	    gliserver_url_pane.setLayout(new BorderLayout());
+	    gliserver_url_pane.add(gliserver_url_label, BorderLayout.WEST);
+	    gliserver_url_pane.add(gliserver_url_field, BorderLayout.CENTER);
+	}
+
 	if (Gatherer.GS3) {
 	    site_pane.setLayout(new BorderLayout());
@@ -309,4 +333,5 @@
 	    servlet_pane.add(servlet_combobox, BorderLayout.CENTER);
 	}
+
 	proxy_host_pane.setLayout(new BorderLayout());
 	proxy_host_pane.add(proxy_host_label, BorderLayout.WEST);
@@ -321,4 +346,7 @@
 	connection_pane.add(program_pane);
 	connection_pane.add(library_path_pane);
+	if (Gatherer.isGsdlRemote) {
+	    connection_pane.add(gliserver_url_pane);
+	}
 	if (Gatherer.GS3) {
 	    connection_pane.add(site_pane);
@@ -636,4 +664,20 @@
 	    Configuration.setString("general.library_url", true, library_url_string);
 
+	    if (Gatherer.isGsdlRemote) {
+		String gliserver_url_string = gliserver_url_field.getText();
+		if (gliserver_url_string.equals("")) {
+		    Configuration.gliserver_url = null;
+		}
+		else {
+		    try {
+			Configuration.gliserver_url = new URL(gliserver_url_string);
+		    }
+		    catch (MalformedURLException exception) {
+			DebugStream.printStackTrace(exception);
+		    }
+		}
+		Configuration.setString("general.gliserver_url", true, gliserver_url_string);
+	    }
+
 	    boolean site_changed = false;
 	    if (Gatherer.GS3) {
Index: trunk/gli/src/org/greenstone/gatherer/remote/RemoteGreenstoneServer.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/remote/RemoteGreenstoneServer.java	(revision 10691)
+++ trunk/gli/src/org/greenstone/gatherer/remote/RemoteGreenstoneServer.java	(revision 10726)
@@ -6,5 +6,5 @@
  * University of Waikato, New Zealand.
  *
- * Author: David Bainbridge, Greenstone Digital Library, University of Waikato
+ * Author: Michael Dewsnip, NZDL Project, University of Waikato
  *
  * Copyright (C) 2005 New Zealand Digital Library Project
